Skip to content

사용자 지정 이벤트 내보내기

get

/events

이 엔드포인트를 사용하여 앱에 대해 기록된 커스텀 이벤트 목록을 내보낼 수 있습니다. 이벤트는 알파벳순으로 정렬된 50개 그룹으로 반환됩니다.

필수 조건

이 엔드포인트를 사용하려면 events.get 권한이 있는 API 키가 필요합니다.

사용량 제한

이 엔드포인트에는 시간당 1,000건의 요청에 대한 공유 사용량 제한이 적용됩니다. 이 사용량 제한은 API 사용량 제한 설명서에 설명된 대로 /custom_attributes, /events/list/purchases/product_list 엔드포인트와 공유됩니다.

쿼리 매개변수

이 엔드포인트를 호출할 때마다 50개의 이벤트가 반환됩니다. 이벤트가 50개 이상인 경우 다음 예제 응답에 표시된 것처럼 Link 헤더를 사용하여 다음 페이지에서 데이터를 검색하세요.

매개변수 필수 데이터 유형 설명
cursor 선택 사항 문자열 커스텀 이벤트의 페이지 매김을 결정합니다.

요청 예시

커서 없음

1
2
3
curl --location --request GET 'https://rest.iad-01.braze.com/events' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR-REST-API-KEY'

커서 포함

1
2
3
curl --location --request GET 'https://rest.iad-03.braze.com/events?cursor=c2tpcDow' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR-REST-API-KEY'

응답

1
2
3
4
5
6
7
8
9
10
11
12
13
{
    "message": (required, string) the status of the export, returns 'success' when completed without errors,
    "events" : [
        {
            "name": "The event name", (string) the event name,
            "description": "The event description", (string) the event description,
            "included_in_analytics_report": false, (boolean) the analytics report inclusion,
            "status": "Active", (string) the event status,
            "tag_names": ["Tag One", "Tag Two"] (array) the tag names associated with the event formatted as strings,
        },
        ...
    ]
}

심각한 오류 응답 코드

요청에 심각한 오류가 발생할 경우 반환되는 상태 코드 및 관련 오류 메시지는 심각한 오류를 참조하세요.

New Stuff!